Subject: Re: [EXPERIMENTAL PATCH] 2.4 tulip jumbo frames

From: Rask Ingemann Lambertsen <[email-masked]>
Date: Fri, 19 Dec 2003 15:32:42 +0100

On Wed, Dec 10, 2003 at 12:40:02AM +0100, Rask Ingemann Lambertsen wrote:

> That said, even checking CONFIG_VLAN_8021Q is probably flawed too, because 
> ideally, even when building a kernel without VLAN support, you should be able 
> to use the bridging support in a VLAN environment. IMHO. I mean, if this is 
> not the case, please remind me why we need VLAN patches in the first place 
> since setting an MTU of 1496 bytes works with every Ethernet board and driver.

Further, why is it not the responsibility of vconfig to ensure that the MTU
of the VLAN device is 4 lower than that of the underlying, "bare" Ethernet
device?

-- 
Regards,
Rask Ingemann Lambertsen